precision mediump float;

varying vec2 vFilterCoord;
varying vec2 vTextureCoord;

uniform vec2 scale;

uniform sampler2D rgbSampler;
uniform sampler2D depthSampler;

uniform vec2 filterArea;
uniform vec4 filterClamp;

void main(void)
{
  vec4 map = texture2D(depthSampler, vFilterCoord);
  //map -= 0.5;
  map.xy *= scale / filterArea.xy;


  gl_FragColor = texture2D(rgbSampler, clamp(vec2(vTextureCoord.x + map.x, vTextureCoord.y + map.y), filterClamp.xy, filterClamp.zw));


}